LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
RuntimePermission Struct Referencepublished

This permission grants runtime access to some named functionality. More...

`import"RuntimePermission.idl";`

## Public Attributes
string | Name
| name of permission More...

## Detailed Description

This permission grants runtime access to some named functionality.

A RuntimePermission contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

Since
  OOo 1.1.2

## Member Data Documentation

string Name

name of permission

The documentation for this struct was generated from the following file:

- com/sun/star/security/RuntimePermission.idl